package com.njzscloud.dispose.cst.org.constant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 运输方排序类型
 */
@Getter
@RequiredArgsConstructor
public enum TransSortType implements DictStr {
    /**
     * 按创建时间倒序
     */
    TIME("TIME", "按创建时间倒序"),

    /**
     * 按清运数排序
     */
    CLEARANCE("CLEARANCE", "按清运数排序"),

    /**
     * 按综合评价倒序
     */
    EVALUATE("EVALUATE", "按综合评价倒序"),

    /**
     * 按距离正序
     */
    DISTANCE("DISTANCE", "按距离正序"),
    ;

    private final String val;
    private final String txt;
}
